Page MenuHomePhabricator

Updating Page count doesn't work reliably when a page is moved
Closed, ResolvedPublic

Description

When the page https://it.wikivoyage.org/wiki/Utente:Nastoshka/Smolensk has been moved by the User:Nastoshka into https://it.wikivoyage.org/wiki/Smolensk the page count has not increased by 1 unit.

On the other side, when I've moved the page https://it.wikivoyage.org/wiki/Riscone into the page https://it.wikivoyage.org/wiki/Utente:Manuela_Farina/Sandbox the page count has not decreased by 1 unit.

I take the chance to ask to reset (recount) all the Wikivoyage statistics (pages, images, etc...) because all the numbers are affect by several bugs so far to be realistic.

Thanks


Version: unspecified
Severity: normal
URL: https://it.wikivoyage.org

Details

Reference
bz64333

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz64333.

(In reply to Andyrom75 from comment #0)

I take the chance to ask to reset (recount) all the Wikivoyage statistics
(pages, images, etc...) because all the numbers are affect by several bugs
so far to be realistic.

That's a request to file under the "Wikimedia" product.

Why it's still unconfirmed? Please let me know if you need further information.

Anybody is free and welcome to reproduce the problem and change the status from UNCONFIRMED to NEW.

To reproduce it is possible to create a new page under the User:Username NS for example User:Username/Sandbox.
The total number of articles wouldn't correctly change because the page is under the USER NS.

Once done it can be moved on any NS:0 page, for example NewPage, now the count of the total article should be increase by 1 unit, but this wrongly doesn't happens.

The problem occurs when I move one "bad artcle" from the NS:0 to the Sandbox of the User that has created it. The count should decrease by 1 unit, but this doesn't happens.

Hi This, that and the other,
few days ago I've tried to create the destination page with an almost empty contente (just "."), before move the page from the User NS to the NS:0, just to see if the existence would change the behaviour and increase correctly the number of articles. Basically it the similar try that you have experimented on bug 40009.

Unfortunately it doesn't work. If you have some spare time, please try to take a look at this bug as well, to see if you can guess a potential resolution. At least you could change the status from Unconfirmed to New.

Change 148585 had a related patch set uploaded by TTO:
Update article count when pages are moved

https://gerrit.wikimedia.org/r/148585

TTO added a comment.Jul 23 2014, 2:25 AM

I'm onto it...

Has the patch been reviewed? Let me know when is possible to perform a test on Wikivoyage. Thanks

TTO added a comment.Oct 25 2014, 12:47 AM

I uploaded a rebased patch set. Hopefully it gets some eyes on it.

I've just made a test moving https://it.wikivoyage.org/wiki/Utente:Andyrom75/Test into https://it.wikivoyage.org/wiki/Test (and back), and unfortunately the pagecount doesn't change.

Let me know when can/should I do another test, to verify your patch.

TTO added a comment.Nov 3 2014, 10:53 PM

The patch hasn't been reviewed or merged yet. I'll try to poke someone (perhaps Kunal) to have a look at it.

Change 148585 merged by jenkins-bot:
Update article count when pages are moved

https://gerrit.wikimedia.org/r/148585

TTO added a comment.Nov 4 2014, 9:23 AM

Now fixed on the beta cluster. Expect to see it on Wikivoyages on 11 November.

TTO I'm sorry to say that I've repeated the test done on Comment 12 and unfortunately it still doesn't work :-(

Any idea?

TTO added a comment.Nov 16 2014, 11:55 PM

Just tested this on en.wikivoyage (I'm not autoconfirmed on it.wikivoyage so couldn't test there):

  • Special:Statistics "content pages" started off at 26301
  • Created [[voy:TestMovePage]]
  • Special:Statistics "content pages" still at 26301... oops, I didn't make the test page long enough/include any local wikilinks, apparently
  • Added more content/wikilinks to [[voy:TestMovePage]]
  • Special:Statistics "content pages" rose to 26302
  • Moved [[voy:TestMovePage]] to [[voy:User:This, that and the other/TestMovePage]]
  • Special:Statistics "content pages" dropped to 26301

Isn't this the expected behaviour?

TTO thanks a lot for underlining the third bullet :-)
During my tests I've forgotten to create an enough long page, that's why the count didn't change.

Now I've tested again, and it works perfectly!

Thanks!

TTO added a comment.Nov 17 2014, 8:25 AM

Don't worry, I make that mistake every time I come back to these page counting bugs...